diff --git a/lib/app/modules/warga/views/warga_detail_penerimaan_view.dart b/lib/app/modules/warga/views/warga_detail_penerimaan_view.dart
index 5f99b89..981a3ec 100644
--- a/lib/app/modules/warga/views/warga_detail_penerimaan_view.dart
+++ b/lib/app/modules/warga/views/warga_detail_penerimaan_view.dart
@@ -2,10 +2,13 @@ import 'package:flutter/material.dart';
 import 'package:get/get.dart';
 import 'package:intl/intl.dart';
 import 'package:penyaluran_app/app/data/models/penerima_penyaluran_model.dart';
+import 'package:penyaluran_app/app/data/models/pengaduan_model.dart';
 import 'package:penyaluran_app/app/modules/warga/controllers/warga_dashboard_controller.dart';
 import 'package:penyaluran_app/app/theme/app_theme.dart';
 import 'package:penyaluran_app/app/widgets/status_badge.dart';
 import 'package:qr_flutter/qr_flutter.dart';
+import 'package:image_picker/image_picker.dart';
+import 'dart:io';
 
 class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
   const WargaDetailPenerimaanView({super.key});
@@ -17,7 +20,14 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
 
     // Segera muat ulang data penerimaan ketika halaman dibuka
     WidgetsBinding.instance.addPostFrameCallback((_) {
+      // Pastikan tidak ada dialog yang terbuka terlebih dahulu
+      if (Get.isDialogOpen == true) {
+        Get.back();
+      }
+
+      // Kemudian muat data baru
       controller.fetchPenerimaPenyaluran();
+      controller.fetchPengaduan(); // Tambahkan untuk memuat data pengaduan
     });
 
     if (id == null) {
@@ -53,6 +63,11 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
 
       final bool isDiterima = penyaluran.statusPenerimaan == 'DITERIMA';
 
+      // Cek apakah ada pengaduan untuk penyaluran ini
+      final pengaduan = controller.pengaduan.firstWhereOrNull(
+          (item) => item.penerimaPenyaluranId == penyaluranId);
+      final bool hasPengaduan = pengaduan != null;
+
       return Scaffold(
         appBar: AppBar(
           title: const Text('Detail Penerimaan'),
@@ -82,6 +97,19 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
               children: [
                 _buildHeaderSection(penyaluran),
                 const SizedBox(height: 16),
+
+                // Tampilkan pengaduan yang ada (jika ada) di bagian atas
+                if (hasPengaduan) ...[
+                  _buildExistingPengaduanSection(pengaduan),
+                  const SizedBox(height: 16),
+                ],
+
+                if (penyaluran.qrCodeHash != null &&
+                    penyaluran.qrCodeHash!.isNotEmpty)
+                  _buildQrCodeSection(penyaluran),
+                if (penyaluran.qrCodeHash != null &&
+                    penyaluran.qrCodeHash!.isNotEmpty)
+                  const SizedBox(height: 16),
                 _buildDetailSection(penyaluran),
                 const SizedBox(height: 16),
                 _buildLocationSection(penyaluran),
@@ -89,6 +117,12 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
                 if (isDiterima) _buildBuktiPenerimaanSection(penyaluran),
                 if (isDiterima) const SizedBox(height: 16),
                 _buildAdditionalInfoSection(penyaluran),
+
+                // Tampilkan section pengaduan jika belum ada pengaduan
+                if (isDiterima && !hasPengaduan) ...[
+                  const SizedBox(height: 16),
+                  _buildPengaduanSection(penyaluran),
+                ],
               ],
             ),
           ),
@@ -123,10 +157,10 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
         borderRadius: BorderRadius.circular(16),
       ),
       child: Container(
-        decoration: BoxDecoration(
-          borderRadius: BorderRadius.circular(16),
-          gradient: AppTheme.primaryGradient,
-        ),
+        // decoration: BoxDecoration(
+        //   borderRadius: BorderRadius.circular(16),
+        //   gradient: AppTheme.primaryGradient,
+        // ),
         padding: const EdgeInsets.all(16),
         child: Column(
           crossAxisAlignment: CrossAxisAlignment.start,
@@ -142,18 +176,10 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
                     style: const TextStyle(
                       fontSize: 22,
                       fontWeight: FontWeight.bold,
-                      color: Colors.white,
+                      color: Colors.black,
                     ),
                   ),
                 ),
-                StatusBadge(
-                  status: penyaluran.statusPenerimaan ?? 'MENUNGGU',
-                  fontSize: 14,
-                  padding: const EdgeInsets.symmetric(
-                    horizontal: 12,
-                    vertical: 6,
-                  ),
-                ),
               ],
             ),
             const SizedBox(height: 16),
@@ -163,8 +189,8 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
                 padding: const EdgeInsets.only(bottom: 16),
                 child: Text(
                   penyaluran.deskripsiPenyaluran!,
-                  style: TextStyle(
-                    color: Colors.white,
+                  style: const TextStyle(
+                    color: Colors.black,
                     fontSize: 16,
                   ),
                 ),
@@ -232,6 +258,94 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
                 ],
               ),
             ),
+            const SizedBox(height: 16),
+            Column(
+              crossAxisAlignment: CrossAxisAlignment.start,
+              children: [
+                Container(
+                  padding: const EdgeInsets.all(12),
+                  decoration: BoxDecoration(
+                    color: Colors.white,
+                    borderRadius: BorderRadius.circular(12),
+                    boxShadow: [
+                      BoxShadow(
+                        color: Colors.grey.withOpacity(0.1),
+                        spreadRadius: 1,
+                        blurRadius: 3,
+                        offset: const Offset(0, 1),
+                      ),
+                    ],
+                  ),
+                  child: Column(
+                    crossAxisAlignment: CrossAxisAlignment.start,
+                    children: [
+                      const Text(
+                        'Status Bantuan',
+                        style: TextStyle(
+                          fontSize: 16,
+                          fontWeight: FontWeight.bold,
+                        ),
+                      ),
+                      const SizedBox(height: 12),
+                      Row(
+                        children: [
+                          Expanded(
+                            child: Column(
+                              crossAxisAlignment: CrossAxisAlignment.start,
+                              children: [
+                                const Text(
+                                  'Status Penyaluran',
+                                  style: TextStyle(
+                                    fontSize: 14,
+                                    fontWeight: FontWeight.w500,
+                                    color: Colors.grey,
+                                  ),
+                                ),
+                                const SizedBox(height: 8),
+                                StatusBadge(
+                                  status: penyaluran.statusPenyaluran ?? '',
+                                  fontSize: 14,
+                                  padding: const EdgeInsets.symmetric(
+                                    horizontal: 12,
+                                    vertical: 6,
+                                  ),
+                                ),
+                              ],
+                            ),
+                          ),
+                          const SizedBox(width: 16),
+                          Expanded(
+                            child: Column(
+                              crossAxisAlignment: CrossAxisAlignment.start,
+                              children: [
+                                const Text(
+                                  'Status Penerimaan',
+                                  style: TextStyle(
+                                    fontSize: 14,
+                                    fontWeight: FontWeight.w500,
+                                    color: Colors.grey,
+                                  ),
+                                ),
+                                const SizedBox(height: 8),
+                                StatusBadge(
+                                  status:
+                                      penyaluran.statusPenerimaan ?? 'MENUNGGU',
+                                  fontSize: 14,
+                                  padding: const EdgeInsets.symmetric(
+                                    horizontal: 12,
+                                    vertical: 6,
+                                  ),
+                                ),
+                              ],
+                            ),
+                          ),
+                        ],
+                      ),
+                    ],
+                  ),
+                ),
+              ],
+            ),
           ],
         ),
       ),
@@ -270,6 +384,7 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
               icon: Icons.category,
               title: 'Kategori',
               value: penyaluran.kategoriNama ?? 'Tidak tersedia',
+              statusColor: null,
             ),
             const Divider(height: 24),
             _buildDetailItem(
@@ -279,6 +394,7 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
                   ? DateFormat('dd MMMM yyyy', 'id_ID')
                       .format(penyaluran.tanggalPenerimaan!)
                   : 'Belum diterima',
+              statusColor: null,
             ),
             const Divider(height: 24),
             _buildDetailItem(
@@ -288,7 +404,63 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
                   ? DateFormat('HH:mm', 'id_ID')
                       .format(penyaluran.tanggalPenerimaan!)
                   : 'Belum diterima',
+              statusColor: null,
             ),
+            const Divider(height: 24),
+            Row(
+              children: [
+                Icon(
+                  Icons.assignment_turned_in,
+                  color: Get.theme.primaryColor,
+                ),
+                const SizedBox(width: 8),
+                const Text(
+                  'Status Penerimaan',
+                  style: TextStyle(
+                    fontSize: 14,
+                    fontWeight: FontWeight.w500,
+                  ),
+                ),
+                const SizedBox(width: 8),
+                StatusBadge(
+                  status: penyaluran.statusPenerimaan ?? 'MENUNGGU',
+                  fontSize: 12,
+                  padding: const EdgeInsets.symmetric(
+                    horizontal: 8,
+                    vertical: 4,
+                  ),
+                ),
+              ],
+            ),
+            if (penyaluran.statusPenyaluran != null &&
+                penyaluran.statusPenyaluran!.isNotEmpty) ...[
+              const Divider(height: 24),
+              Row(
+                children: [
+                  Icon(
+                    Icons.check_circle,
+                    color: Get.theme.primaryColor,
+                  ),
+                  const SizedBox(width: 8),
+                  const Text(
+                    'Status Penyaluran',
+                    style: TextStyle(
+                      fontSize: 14,
+                      fontWeight: FontWeight.w500,
+                    ),
+                  ),
+                  const SizedBox(width: 8),
+                  StatusBadge(
+                    status: penyaluran.statusPenyaluran!,
+                    fontSize: 12,
+                    padding: const EdgeInsets.symmetric(
+                      horizontal: 8,
+                      vertical: 4,
+                    ),
+                  ),
+                ],
+              ),
+            ],
             if (penyaluran.keterangan != null &&
                 penyaluran.keterangan!.isNotEmpty) ...[
               const Divider(height: 24),
@@ -296,6 +468,7 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
                 icon: Icons.note,
                 title: 'Keterangan',
                 value: penyaluran.keterangan!,
+                statusColor: null,
               ),
             ],
           ],
@@ -336,6 +509,7 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
               icon: Icons.place,
               title: 'Tempat Penerimaan',
               value: penyaluran.lokasiPenyaluranNama ?? 'Tidak tersedia',
+              statusColor: null,
             ),
             if (penyaluran.lokasiPenyaluranAlamat != null &&
                 penyaluran.lokasiPenyaluranAlamat!.isNotEmpty) ...[
@@ -344,6 +518,7 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
                 icon: Icons.map,
                 title: 'Alamat',
                 value: penyaluran.lokasiPenyaluranAlamat!,
+                statusColor: null,
               ),
             ],
             const SizedBox(height: 16),
@@ -570,12 +745,14 @@ class WargaDetailPenerimaanView extends GetView<WargaDashboardController> {
               icon: Icons.numbers,
               title: 'ID Penerimaan',
               value: '${penyaluran.id}',
+              statusColor: null,
             ),
             const Divider(height: 24),
             _buildDetailItem(
               icon: Icons.person,
               title: 'Penerima',
               value: controller.nama,
+              statusColor: null,
             ),
             const Divider(height: 24),
             _buildDetailItem(
